# knife show

The knife show subcommand is used to view the details of one (or more) objects on the Chef server. This subcommand works similar to `knife cookbook show`, `knife data bag show`, `knife environment show`, `knife node show`, and `knife role show`, but with a single verb (and a single action).

## Syntax

This subcommand has the following syntax:

    $ knife show [PATTERN...] (options)

## Options

Note

Review the list of common options available to this (and all) knife subcommands and plugins.

This subcommand has the following options:

`-a ATTR`, `--attribute ATTR`
  The attribute (or attributes) to show.
`--chef-repo-path PATH`
  The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same value as specified by `chef_repo_path` in client.rb.
`--concurrency`
  The number of allowed concurrent connections. Default: `10`.
`--local`
  Use to show local files instead of remote files.
`--repo-mode MODE`
  The layout of the local chef-repo. Possible values: `static`, `everything`, or `hosted_everything`. Use `static` for just roles, environments, cookbooks, and data bags. By default, `everything` and `hosted_everything` are dynamically selected depending on the server type. Default: `everything` / `hosted_everything`.

## Examples

The following examples show how to use this knife subcommand:

Show all cookbooks

To show all cookbooks in the `cookbooks/` directory:

    $ knife show cookbooks/

or, (if already in the `cookbooks/` directory in the local chef-repo):

    $ knife show

Show roles and environments

    $ knife show roles/ environments/